package vieon.reactlibrary.player.plugins.filmstrip;

import android.content.Context;
import android.graphics.Rect;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.annotation.NonNull;

public class ThumbnailViewDisplay extends FrameLayout {

  private ThumbnailViewComponent thumbnailViewComponent;

  public ThumbnailViewDisplay(@NonNull Context context) {
    super(context);

    setLayoutParams(new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
    requestLayout();
  }

  public void show(long progress) {
    if (this.thumbnailViewComponent != null) {
      this.thumbnailViewComponent.show(progress, new DefaultThumbnailView.Callback() {
        @Override public void getThumbnailRect(Rect rect, int var2, int var3, boolean var4) {
          rect.set(ThumbnailViewDisplay.this.getLeft(), ThumbnailViewDisplay.this.getTop(),
              ThumbnailViewDisplay.this.getRight(), ThumbnailViewDisplay.this.getBottom());
        }
      });
    }
  }

  public void setThumbnailView(ThumbnailViewComponent thumbnailViewComponent) {
    this.thumbnailViewComponent = thumbnailViewComponent;
    this.addView(this.thumbnailViewComponent,
        new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT,
            ViewGroup.LayoutParams.MATCH_PARENT));
  }
}
