package vieon.reactlibrary.player.plugins.filmstrip;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

import android.net.Uri;
import androidx.annotation.NonNull;
import com.google.android.exoplayer2.upstream.DataSource;
import com.google.android.exoplayer2.upstream.DataSourceInputStream;
import com.google.android.exoplayer2.upstream.DataSpec;
import java.io.InputStream;
import vieon.reactlibrary.player.utils.IOUtils;

public class DataSourceThumbnailLoader implements ThumbnailLoader {
  private final DataSource dataSource;

  public DataSourceThumbnailLoader(@NonNull DataSource dataSource) {
    this.dataSource = dataSource;
  }

  public boolean isStreamingSupported() {
    return true;
  }

  public byte[] load(Uri uri) throws Exception {
    InputStream input = this.loadStream(uri);
    return IOUtils.toByteArray(input);
  }

  public InputStream loadStream(Uri uri) throws Exception {
    return new DataSourceInputStream(this.dataSource, new DataSpec(uri));
  }

  public void dispose() {
  }
}

