package vieon.reactlibrary.player.plugins.filmstrip;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

import android.net.Uri;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.io.File;
import vieon.reactlibrary.player.utils.FileHelper;
import vieon.reactlibrary.player.utils.UriUtils;

public class DownloadableResource {
  public Uri uri;
  public String target;
  public int type;
  public long length;

  public DownloadableResource() {
  }

  public static File createTarget(@NonNull Uri resource, @NonNull File basePath, @Nullable
      String remoteManifestUrl, boolean relativeToManifest) {
    String lca = null;
    if (remoteManifestUrl != null && relativeToManifest) {
      lca = getLca(remoteManifestUrl, resource);
    }

    String path;
    if (lca == null) {
      path = resource.getHost();
      path = path != null ? "/" + path + resource.getPath() : resource.getPath();
      return new File(basePath, path);
    } else {
      path = FileHelper.convertToLocalFilePath(resource);
      if (!lca.isEmpty() && path.startsWith(lca)) {
        path = path.substring(lca.length());
      }

      return new File(basePath, path);
    }
  }

  @Nullable
  private static String getLca(@NonNull String remoteManifestUrl, @NonNull Uri resource) {
    Uri manifest = Uri.parse(remoteManifestUrl);
    Uri manifestBase = UriUtils.parent(manifest);
    Uri sourceBase = UriUtils.parent(resource);
    Uri resourceLca = UriUtils.getLca(manifestBase, sourceBase);
    String lca = null;
    if (resourceLca != null) {
      lca = resourceLca.getPath();
      if (resourceLca.getHost() != null) {
        lca = "/" + resourceLca.getHost() + resourceLca.getPath();
      }
    }

    return lca;
  }
}
