package vieon.reactlibrary.player.plugins.filmstrip;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//


import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.Log;
import com.google.android.exoplayer2.Format;
import com.google.android.exoplayer2.source.dash.manifest.Representation.MultiSegmentRepresentation;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public class ThumbnailDataTrack implements Parcelable {
  public static final int TYPE_UNKNOWN = 0;
  public static final int TYPE_JPEG_TEMPLATE = 1;
  public static final int TYPE_WEBVTT_INDEX = 2;
  public static final int TYPE_BIF = 3;
  public static final Creator<ThumbnailDataTrack> CREATOR = new Creator<ThumbnailDataTrack>() {
    public ThumbnailDataTrack createFromParcel(Parcel in) {
      return new ThumbnailDataTrack(in);
    }

    public ThumbnailDataTrack[] newArray(int size) {
      return new ThumbnailDataTrack[size];
    }
  };
  private static final String TAG = "ThumbnailDataTrack";
  private long periodStartMs;
  private int thumbnailWidth;
  private int thumbnailHeight;
  private long startSegmentNumber;
  private long templateDuration;
  private int bitrate;
  private MultiSegmentRepresentation representation;
  private long periodDurationMs;
  private String url;
  private long timeMs;
  private int maxIndex;
  private int gridWidth;
  private int gridHeight;
  private int type;
  private boolean enableCache;
  private boolean preserveCache;
  private boolean sideloaded;
  private String imageUrl;

  public ThumbnailDataTrack() {
    this.enableCache = true;
    this.preserveCache = false;
  }

  public ThumbnailDataTrack(Format format) {
    this();
    this.setThumbnailWidth(format.width);
    this.setThumbnailHeight(format.height);
    this.setBitrate(format.bitrate);
  }

  protected ThumbnailDataTrack(Parcel in) {
    this.enableCache = true;
    this.preserveCache = false;
    this.periodStartMs = in.readLong();
    this.thumbnailWidth = in.readInt();
    this.thumbnailHeight = in.readInt();
    this.startSegmentNumber = in.readLong();
    this.templateDuration = in.readLong();
    this.bitrate = in.readInt();
    this.periodDurationMs = in.readLong();
    this.url = in.readString();
    this.timeMs = in.readLong();
    this.maxIndex = in.readInt();
    this.gridWidth = in.readInt();
    this.gridHeight = in.readInt();
    this.enableCache = in.readByte() != 0;
    this.preserveCache = in.readByte() != 0;
    this.sideloaded = in.readByte() != 0;
    this.imageUrl = in.readString();
  }

  public long getPeriodStartMs() {
    return this.periodStartMs;
  }

  public void setPeriodStartMs(long periodStartMs) {
    this.periodStartMs = periodStartMs;
  }

  public int getThumbnailWidth() {
    return this.thumbnailWidth;
  }

  public void setThumbnailWidth(int width) {
    this.thumbnailWidth = width;
  }

  public int getThumbnailHeight() {
    return this.thumbnailHeight;
  }

  public void setThumbnailHeight(int height) {
    this.thumbnailHeight = height;
  }

  public int getGridWidth() {
    return this.gridWidth;
  }

  public void setGridWidth(int gridWidth) {
    this.gridWidth = gridWidth;
  }

  public int getGridHeight() {
    return this.gridHeight;
  }

  public void setGridHeight(int gridHeight) {
    this.gridHeight = gridHeight;
  }

  public long getStartSegmentNumber() {
    return this.startSegmentNumber;
  }

  public void setStartSegmentNumber(long startSegmentNumber) {
    this.startSegmentNumber = startSegmentNumber;
  }

  public long getTemplateDuration() {
    return this.templateDuration;
  }

  public void setTemplateDuration(long templateDuration) {
    this.templateDuration = templateDuration;
  }

  public int getBitrate() {
    return this.bitrate;
  }

  public void setBitrate(int bitrate) {
    this.bitrate = bitrate;
  }

  public void setRepresentation(MultiSegmentRepresentation representation) {
    this.representation = representation;
  }

  public Uri getSegmentUrl(int segment) {
    return this.representation.getSegmentUrl((long)segment).resolveUri(this.representation.baseUrl);
  }

  public long getPeriodDurationMs() {
    return this.periodDurationMs;
  }

  public void setPeriodDurationMs(long periodDurationMs) {
    this.periodDurationMs = periodDurationMs;
  }

  public boolean isSideloaded() {
    return this.sideloaded;
  }

  public void setSideloaded(boolean sideloaded) {
    this.sideloaded = sideloaded;
  }

  public String getUrl() {
    return this.url;
  }

  public void setUrl(String url) {
    this.url = url;
  }

  public long getTimeMs() {
    return this.timeMs;
  }

  public void setTimeMs(long timeMs) {
    this.timeMs = timeMs;
  }

  public int getMaxIndex() {
    return this.maxIndex;
  }

  public void setMaxIndex(int maxIndex) {
    this.maxIndex = maxIndex;
  }

  public int getType() {
    return this.type;
  }

  public void setType(int type) {
    this.type = type;
  }

  public boolean isEnableCache() {
    return this.enableCache;
  }

  public void setEnableCache(boolean enableCache) {
    this.enableCache = enableCache;
  }

  public boolean isPreserveCache() {
    return this.preserveCache;
  }

  public void setPreserveCache(boolean preserveCache) {
    this.preserveCache = preserveCache;
  }

  public int describeContents() {
    return 0;
  }

  public void writeToParcel(Parcel dest, int flags) {
    dest.writeLong(this.periodStartMs);
    dest.writeInt(this.thumbnailWidth);
    dest.writeInt(this.thumbnailHeight);
    dest.writeLong(this.startSegmentNumber);
    dest.writeLong(this.templateDuration);
    dest.writeInt(this.bitrate);
    dest.writeLong(this.periodDurationMs);
    dest.writeString(this.url);
    dest.writeLong(this.timeMs);
    dest.writeInt(this.maxIndex);
    dest.writeInt(this.gridWidth);
    dest.writeInt(this.gridHeight);
    dest.writeByte((byte)(this.enableCache ? 1 : 0));
    dest.writeByte((byte)(this.preserveCache ? 1 : 0));
    dest.writeByte((byte)(this.sideloaded ? 1 : 0));
    dest.writeString(this.imageUrl);
  }

  public String getAbsoluteUrl(String manifest) {
    return this.getAbsoluteUrl(this.getUrl(), manifest);
  }

  public boolean isRelativeUrl() {
    Uri parsedUrl = Uri.parse(this.getUrl());
    return parsedUrl.getScheme() == null || parsedUrl.isRelative();
  }

  private String getAbsoluteUrl(String url, String manifest) {
    Uri parsedUrl = Uri.parse(url);
    if (parsedUrl.getScheme() == null || parsedUrl.isRelative()) {
      if (manifest != null) {
        String baseUrl = manifest.substring(0, manifest.lastIndexOf("/"));
        url = baseUrl + "/" + url;
      } else {
        Log.w("ThumbnailDataTrack", "Provided URL '" + url + "' seems to be relative, but no manifest was specified, so no absolute URL could be generated!");
      }
    }

    return url;
  }

  public String getImageUrl() {
    return imageUrl;
  }

  public void setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
  }

  @Retention(RetentionPolicy.SOURCE)
  public @interface ThumbnailFormat {
  }
}

