package vieon.reactlibrary.player.plugins.filmstrip;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

import androidx.annotation.Nullable;
import java.util.ArrayList;
import java.util.List;

class ThumbnailIndex {
  private final List<ThumbnailEntry> entries = new ArrayList();

  ThumbnailIndex() {
  }

  ThumbnailEntry getByIndex(int index) {
    synchronized(this.entries) {
      return (ThumbnailEntry)this.entries.get(index);
    }
  }

  @Nullable
  ThumbnailEntry get(long positionUs, boolean requiresData) {
    synchronized(this.entries) {
      int size = this.entries.size();
      if (size == 0) {
        return null;
      } else {
        for(int i = 1; i < size; ++i) {
          ThumbnailEntry e = (ThumbnailEntry)this.entries.get(i);
          if (e == null) {
            return null;
          }

          if (e.timestampUs >= positionUs) {
            ThumbnailEntry matchingEntry = (ThumbnailEntry)this.entries.get(i - 1);
            if (matchingEntry == null || requiresData && !matchingEntry.isDataLoaded()) {
              return null;
            }

            return matchingEntry;
          }
        }

        return null;
      }
    }
  }

  boolean contains(long positionUs, boolean requiresData) {
    return this.get(positionUs, requiresData) != null;
  }

  void add(ThumbnailEntry entry) {
    synchronized(this.entries) {
      this.entries.add(entry);
    }
  }

  int size() {
    synchronized(this.entries) {
      return this.entries.size();
    }
  }

  void clear() {
    synchronized(this.entries) {
      this.entries.clear();
    }
  }

  ThumbnailIndex copy() {
    ThumbnailIndex other = new ThumbnailIndex();
    other.entries.addAll(this.entries);
    return other;
  }
}

