package vieon.reactlibrary.player.utils;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//


import androidx.annotation.Nullable;
import com.google.android.exoplayer2.upstream.DataSource;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.Reader;
import java.io.UnsupportedEncodingException;
import java.io.Writer;

public class IOUtils {
  public IOUtils() {
  }

  public static String toString(InputStream content) throws IOException {
    StringBuilder b = new StringBuilder();
    BufferedReader reader = new BufferedReader(new InputStreamReader(content, "UTF-8"));
    char[] buffer = new char[4096];

    for(int l = 0; l != -1; l = reader.read(buffer)) {
      b.append(buffer, 0, l);
    }

    reader.close();
    return b.toString();
  }

  public static byte[] toByteArray(InputStream content) throws IOException {
    BufferedInputStream reader = new BufferedInputStream(content);
    ByteArrayOutputStream out = new ByteArrayOutputStream(4096);
    byte[] buffer = new byte[4096];

    try {
      for(int l = 0; l != -1; l = reader.read(buffer)) {
        out.write(buffer, 0, l);
        if (Thread.interrupted()) {
          Object var5 = null;
          return (byte[])var5;
        }
      }

      return out.toByteArray();
    } finally {
      reader.close();
      out.close();
    }
  }

  public static void closeQuietly(@Nullable Closeable closeable) {
    if (closeable != null) {
      try {
        closeable.close();
      } catch (Exception var2) {
      }

    }
  }

  public static void closeQuietly(@Nullable DataSource closeable) {
    if (closeable != null) {
      try {
        closeable.close();
      } catch (Exception var2) {
      }

    }
  }

  public static void copy(InputStream input, Writer writer) throws IOException {
    try {
      copy((Reader)(new InputStreamReader(input, "UTF-8")), (Writer)writer);
    } catch (UnsupportedEncodingException var3) {
    }

  }

  public static void copy(Reader reader, Writer writer) throws IOException {
    BufferedReader r = null;

    try {
      r = new BufferedReader(reader);
      char[] buffer = new char[4096];

      for(int i = 0; i != -1; i = r.read(buffer)) {
        writer.write(buffer, 0, i);
      }
    } finally {
      writer.close();
      if (r != null) {
        r.close();
      }

    }

  }

  public static void copy(InputStream input, OutputStream output) throws IOException {
    BufferedInputStream bufferedInput = null;
    BufferedOutputStream bufferedOutput = null;

    try {
      bufferedInput = new BufferedInputStream(input);
      bufferedOutput = new BufferedOutputStream(output);
      byte[] buffer = new byte[4096];

      for(int i = 0; i != -1; i = bufferedInput.read(buffer)) {
        bufferedOutput.write(buffer, 0, i);
      }
    } finally {
      if (bufferedInput != null) {
        bufferedInput.close();
      }

      if (bufferedOutput != null) {
        bufferedOutput.close();
      }

    }

  }
}
