package vieon.reactlibrary.player.utils;

//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//


import android.net.Uri;
import android.net.Uri.Builder;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.List;

public class UriUtils {
  public UriUtils() {
  }

  @Nullable
  public static Uri getLca(@NonNull Uri inV, @NonNull Uri inW) {
    if (inV.getScheme() != null && inW.getScheme() != null && !inV.getScheme().equals(inW.getScheme())) {
      return null;
    } else if (inV.getHost() != null && inW.getHost() != null && !inV.getHost().equals(inW.getHost())) {
      return null;
    } else {
      Uri v = (new Builder()).scheme(inV.getScheme()).authority(inV.getHost()).path(inV.getPath()).build();
      Uri w = (new Builder()).scheme(inW.getScheme()).authority(inW.getHost()).path(inW.getPath()).build();
      int depthV = v.getPathSegments().size();
      int depthW = w.getPathSegments().size();
      Uri vv = v;
      Uri ww = w;

      while(depthV != depthW) {
        if (depthV > depthW) {
          vv = parent(vv);
          --depthV;
        } else {
          ww = parent(ww);
          --depthW;
        }
      }

      while(!vv.equals(ww)) {
        vv = parent(vv);
        ww = parent(ww);
      }

      return vv;
    }
  }

  public static Uri parent(Uri uri) {
    Builder builder = uri.buildUpon();
    List<String> segments = uri.getPathSegments();
    builder.path("");
    int size = segments.size();

    for(int i = 0; i < size - 1; ++i) {
      builder.appendPath((String)segments.get(i));
    }

    return builder.build();
  }
}

